## org.springframework.cache.aspectj
Class AspectJCachingConfiguration

    java.lang.Object
      org.springframework.cache.annotation.AbstractCachingConfiguration
          org.springframework.cache.aspectj.AspectJCachingConfiguration

All Implemented Interfaces:
  Aware, ImportAware

    @Configuration
    public class AspectJCachingConfiguration

extends AbstractCachingConfiguration

`@Configuration` class that registers the Spring infrastructure beans necessary to enable AspectJ-based annotation-driven cache management.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableCaching`, `CachingConfigurationSelector`

Field Summary

Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration
`cacheManager, enableCaching, keyGenerator`

Constructor Summary
`AspectJCachingConfiguration()`

Method Summary
`AnnotationCacheAspect` `cacheAspect()`

Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration
`reconcileCacheManager, setImportMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectJCachingConfiguration

    public AspectJCachingConfiguration()

Method Detail

### cacheAspect

    @Bean(name="org.springframework.cache.config.internalCacheAspect")
    @Role(value=2)
    public AnnotationCacheAspect cacheAspect()